Skip to main content
GET
/
apps
/
{app_id}
/
workflows
/
{workflow_id}
/
tests
/
expectations
/
{expectation_id}
Get Test Expectation
curl --request GET \
  --url https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests/expectations/{expectation_id}
import requests

url = "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests/expectations/{expectation_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests/expectations/{expectation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "script": "<string>",
  "created_at": "2023-12-25",
  "updated_at": "2023-12-25"
}

Path Parameters

app_id
string
required

The ID of the app

workflow_id
string
required

The ID of the workflow

expectation_id
string
required

The ID of the expectation

Response

200 - application/json

Detailed information about an expectation within a workflow

id
string
required

Unique identifier for the expectation

name
string
required

Name of the expectation (max 256 characters)

Required string length: 1 - 256
script
string
required

JavaScript code that results in a boolean value determining if the expectation passed or failed

Maximum string length: 10240
created_at
string<date> | null
required

Creation date of the expectation

updated_at
string<date> | null
required

Last update date of the expectation